# Completion tools for Nagscripts suite
_nagscripts_objects() {
    local word=${COMP_WORDS[COMP_CWORD]}
    local -a objects
    while read -r object ; do
        objects=("${objects[@]}" "$object")
    done < <(cat <(nds .) <(nds -s .))
    COMPREPLY=( $(compgen -W "${objects[*]}" -- "$word") )
    return
}
complete -F _nagscripts_objects -o default \
    nagios-acknowledge \
    nagios-data-search \
    nagios-downstream-list \
    nagios-downtime \
    nagios-exists \
    nagios-force-check
